> ## Documentation Index
> Fetch the complete documentation index at: https://docs.akumi.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a collection

> Renames a collection. The slug is regenerated from the new name, so a rename
changes the address the collection is reached at.



## OpenAPI

````yaml /api-reference/openapi.json patch /recall/collections/{slug}
openapi: 3.1.0
info:
  title: Akumi
  version: 0.0.1
servers:
  - url: https://api.akumi.eu/v1
    description: Production
security:
  - http: []
tags:
  - name: Audit log
  - name: Chat completions
  - name: Embeddings
  - name: Models
  - name: Recall
  - name: Scores
paths:
  /recall/collections/{slug}:
    patch:
      tags:
        - Recall
      summary: Update a collection
      description: >-
        Renames a collection. The slug is regenerated from the new name, so a
        rename

        changes the address the collection is reached at.
      operationId: v1.recall.collections.update
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreCollectionRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      slug:
                        type: string
                      name:
                        type: string
                      documents_count:
                        anyOf:
                          - type: integer
                          - type: integer
                            minimum: 0
                    required:
                      - slug
                      - name
                      - documents_count
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/NotFoundHttpException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StoreCollectionRequest:
      type: object
      description: Validates create/update of a Recall collection.
      properties:
        name:
          type: string
          maxLength: 120
      required:
        - name
      title: StoreCollectionRequest
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    NotFoundHttpException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer

````